Bug 1413044 - block-gluster: use one glfs instance per volume
Summary: block-gluster: use one glfs instance per volume
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Jeff Cody
QA Contact: Suqin Huang
URL:
Whiteboard:
Depends On: 1400059
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 13:12 UTC by Jaroslav Reznik
Modified: 2017-04-18 06:06 UTC (History)
19 users (show)

Fixed In Version: qemu-kvm-rhev-2.6.0-28.el7_3.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1400059
Environment:
Last Closed: 2017-04-18 06:06:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0985 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-04-18 10:06:24 UTC

Description Jaroslav Reznik 2017-01-13 13:12:41 UTC
This bug has been copied from bug #1400059 and has been proposed
to be backported to 7.3 z-stream (EUS).

Comment 4 Jeff Cody 2017-01-25 18:49:02 UTC
Posted to rhvirt-patches

Comment 6 Miroslav Rezanina 2017-03-24 05:55:31 UTC
Fix included in qemu-kvm-rhev-2.6.0-28.el7_3.9

Comment 9 Suqin Huang 2017-03-24 07:41:46 UTC
Steps:
1). boot guest with 1~4 disks

    -device virtio-blk-pci,id=image1,drive=drive_image1,bootindex=0,bus=pci.0,addr=03 \
    -drive id=drive_image2,if=none,cache=none,format=qcow2,file=gluster://bootp-73-131-242.rhts.eng.pek2.redhat.com/gv0/stg1.qcow2 \
    -device virtio-blk-pci,id=image2,drive=drive_image2,bus=pci.0,addr=06 \
    -drive id=drive_image3,if=none,cache=none,format=qcow2,file=gluster://bootp-73-131-242.rhts.eng.pek2.redhat.com/gv0/stg2.qcow2 \
    -device virtio-blk-pci,id=image3,drive=drive_image3,bus=pci.0,addr=07 \
    -drive id=drive_image4,if=none,cache=none,format=qcow2,file=gluster://bootp-73-131-242.rhts.eng.pek2.redhat.com/gv0/stg3.qcow2 \
    -device virtio-blk-pci,id=image4,drive=drive_image4,bus=pci.0,addr=08 \
    -drive id=drive_image5,if=none,cache=none,format=qcow2,file=gluster://bootp-73-131-242.rhts.eng.pek2.redhat.com/gv0/stg4.qcow2 \
    -device virtio-blk-pci,id=image5,drive=drive_image5,bus=pci.0,addr=09 \

2). Check memory with cmd:
#ps -A -o pid,vsz,rss,command | grep qemu



1. reproduce the issue with qemu-kvm-rhev-2.6.0-28.el7_3.8.x86_64

Disks   VSZ     RSS 
1      1916560 1209684
2      2073276 1101900
3      2238184 1201728
4      2444048 1385876

2. Verified on qemu-kvm-rhev-2.6.0-28.el7_3.9.x86_64

Disks   VSZ     RSS 
1     1963700 1021396
2     1936064 1027936
3     1945284 1036544
4     1966804 1020116

Comment 10 Suqin Huang 2017-03-24 07:42:48 UTC
According to comment9, update bug to verified

Comment 12 errata-xmlrpc 2017-04-18 06:06:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0985


Note You need to log in before you can comment on or make changes to this bug.